<?php

require_once 'MoxyMenuItem.php';
require_once 'MoxyMenuItemDefault.php';
require_once 'MoxyMenuItemRow.php';
require_once 'MoxyMenuItemColumn.php';

add_filter('moxymenu_item_object_class', 'moxymenu_get_item_object_class', 10, 1);
function moxymenu_get_item_object_class($item) {
	$item_type = get_post_meta($item->db_id, '_moxymenu_item_type', true);

	switch ($item_type) {
		case 'row':
			$class = 'MoxyMenuItemRow';
			break;
		case 'column':
			$class = 'MoxyMenuItemColumn';
			break;
		default:
			$class = 'MoxyMenuItemDefault';
			break;
	}

	return $class;
}