<?php

add_action('widgets_init', 'moxy_fw_sidebars_init');
function moxy_fw_sidebars_init() {
	$options = moxy_fw_get_options();

	if (!empty($options['sidebars']) && is_array($options['sidebars'])) {
		foreach ($options['sidebars'] as $sidebar) {
			register_sidebar( array(
				'name' => $sidebar['name'],
				'id' => 'moxy-sidebar-' . $sidebar['id'],
				'description' => 'Widget',
				'before_widget' => '<li id="%1$s" class="moxy-widget %2$s">',
				'after_widget'  => '</li>',
				'before_title'  => '<h2 class="moxy-widget__title">',
				'after_title'   => '</h2>',
			) );
		}
	}
}