<?php
$options = moxy_fw_get_options();

?>
<div class="moxy-search__header">
	<div class="moxy-search__bg">
		<?php if (moxy_fw_in_live_customizer_preview()) : ?>
		<div class="moxy-search__bg__image"></div>
		<?php elseif (!empty($options['search_header_bg']['sizes'])) : ?>
      <?php echo moxy_fw_get_lazy_image($options['search_header_bg']['sizes']);?>
		<?php endif; ?>
	</div>
	<div class="moxy-search__overlay"></div>
	<div class="moxy-container moxy-search__info">
		<form class="moxy-search__form" role="search" method="get" action="<?php echo get_home_url(); ?>">
			<input  class="moxy-search__input" type="text" name="s" value="<?php echo isset($_GET['s']) ? $_GET['s'] : ''; ?>" placeholder="<?php _e('Type and hit enter', 'moxy'); ?>" />
			<button class="moxy-search__submit" type="submit"><span class="fa fa-search"></span></button>
		</form>
	</div>
</div>

<div class="moxy-search__container moxy-page__content">
	<div class="moxy-container">
		<div class="moxy-search__result moxy-eBold lc-h lc-b"><h5><?php _e('Search results','moxy'); ?></h5> <span class="moxy-search__count"><?php echo $wp_query->found_posts.' '.__('found', 'moxy'); ?></span></div>
		<?php
		if (have_posts()) :
			echo '<div class="moxy-search__list">';
			while (have_posts()) : the_post();
				moxy_fw_search_item_render();
			endwhile;
			echo '</div>';
		else:
			echo '<div class="moxy-search__noResult">'.__('No result was found', 'moxy').'</div>';
		endif;
		?>
	<div>
</div>

<?php
$per_page = get_option('posts_per_page');

if ($wp_query->found_posts > $per_page) {
	echo moxy_fw_generate_pagination(2);
}
