<?php

$options = moxy_fw_get_options();
$ID = get_the_ID();
$setting = moxy_fw_get_settings($ID);
$author_id = get_the_author_meta('ID');

$wrap_class = !empty($options['single_post_has_container']) ? ' moxy-container' : '';

moxy_fw_single_post_hero_render($options, $author_id);
?>

<div class="moxy-page__content">
	<article id="post-<?php the_ID(); ?>" <?php post_class('moxy-singlePost'); ?>>
		<div class="moxy-entry <?php echo $wrap_class; ?>">
			<?php the_content(); ?>
		</div>

		<div class="moxy-container">
			<footer class="moxy-singlePost__footer">
				<?php
				if (moxy_fw_module_is_enabled('single_post_tags')) {
					moxy_fw_single_post_tags_render();
				}

				if(moxy_fw_module_is_enabled('single_post_share')){
					moxy_fw_single_post_share_render($options);
				}
				?>

				<div class="moxy-singlePost__linkPages"><?php wp_link_pages(); ?></div>

				<?php
				if (moxy_fw_module_is_enabled('single_post_nav')) {
					moxy_fw_single_post_nav_render();
				}
				?>
			</footer>
		</div>
	</article>

    <div class="moxy-postsNav"><?php posts_nav_link(); ?></div>

	<?php
	if (moxy_fw_module_is_enabled('single_post_comment') &&
		(comments_open() || get_comments_number()) && !post_password_required()) :
	?>
		<div class="moxy-postComment moxy-container">
			<div class="moxy-postComment__wrap lc-b">
			<?php comments_template(); ?>
			</div>
		</div><!-- post comment -->
	<?php
	endif;
	?>
</div>