<?php

if (!defined('ABSPATH')) exit;

if (!class_exists('MoxyMenu')) :

    final class MoxyMenu {

        public function __construct() {
            $this->includes();
        }

        private function includes() {
            require_once 'admin/custom-menu-item-types.php';
            require_once MOXY_DIR_PATH . '/header-builder/megamenu/includes/MoxyMenuWalker.php';
            require_once MOXY_DIR_PATH . '/header-builder/megamenu/includes/functions.php';
            require_once MOXY_DIR_PATH . '/header-builder/megamenu/includes/menuitems/menuitems.php';
        }

    }

endif;


$options = get_option('moxyOptions');

if(!isset($options["megamenu_enable"]) || (isset($options["megamenu_enable"]) && $options["megamenu_enable"])){
    new MoxyMenu();
}
