# Modules

The folder contains the reusable code sharing between builder tools. They are the editable components and directives, backend script for header and footer manager, ect.

## Core Sections

* `/script`: contains the shared editable components, directives and some logic patterns like `widget.manager` or `output.generator`.
* `/scss`: the style for editable components and backend manager code.
* `/3rd`: third party plugins.
* `/json`: the data of font icons.
* `/codebird`: the code for Twitter integration.

## Main Modules

* `MoxyBuilderAPI.php`: register sharing API endpoints, for example, getting icon font data.
