<?php
/*
Plugin Name: Moxy Builder
Plugin URI: https://moxypress.com/moxy
Description: Easily design & build responsive websites, landing pages and prototypes with the complete Moxy Builder System.
Author: moxypress.com
Author URI: https://moxypress.com
Version: 1.0.0
Text Domain:moxy-builder
*/

define('MOXY_PLUGIN_PATH', __FILE__);
define('MOXY_DIR_PATH', plugin_dir_path(__FILE__));
define('MOXY_CORE_ROOT', plugins_url('', __FILE__));
define('MOXY_SO_DIR', MOXY_CORE_ROOT.'/site-options');
define('MOXY_PB_DIR', MOXY_CORE_ROOT.'/page-builder');
define('MOXY_FB_DIR', MOXY_CORE_ROOT.'/footer-builder');
define('MOXY_HB_DIR', MOXY_CORE_ROOT.'/header-builder');
define('MOXY_APP_VERSION', '1.0.0');
define('MOXY_DEBUG_MODE', false);

require_once('functions.php');
require_once('modules/MoxyBuilderAPI.php');
require_once('modules/MoxyBuilderUpdate.php');
require_once('client/client_enqueue_scripts.php');
require_once('site-options/app.php');
require_once('footer-builder/app.php');
require_once('header-builder/app.php');
require_once('page-builder/app.php');

?>
